=== debian/changelog ===
qbe (1.2-3) unstable; urgency=medium

  [ Guilherme Puida Moreira ]
  * Skip autopkgtests on ppc64el and s390x.

 -- Miguel Landaeta <nomadium@debian.org>  Fri, 21 Mar 2025 21:48:05 +0000

qbe (1.2-2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Patch the test runner to make it more portable and run tests
    for all supported targets during build and under autopkgtest.
    (Closes: #1070495)

 -- Miguel Landaeta <nomadium@debian.org>  Wed, 26 Feb 2025 22:16:48 +0000

qbe (1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1058646)
    Thanks to Guilherme Puida Moreira for contributing an initial manpage
    for this package.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 28 Apr 2024 19:53:49 +0100
