=== debian/control ===
Source: qbe
Section: devel
Priority: optional
Maintainer: Miguel Landaeta <nomadium@debian.org>
Uploaders:
 Amin Bandali <bandali@debian.org>
Build-Depends: debhelper-compat (= 13), dctrl-tools
Standards-Version: 4.6.2
Homepage: https://c9x.me/compile/
Vcs-Git: https://salsa.debian.org/debian/qbe.git
Vcs-Browser: https://salsa.debian.org/debian/qbe
Rules-Requires-Root: no

Package: qbe
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Small embeddable C compiler backend
 QBE is a compiler backend that aims to provide 70% of the performance
 of industrial optimizing compilers in 10% of the code.
 QBE fosters language innovation by offering a compact user-friendly
 and performant backend. The size limit constrains QBE to focus on the
 essential and prevents embarking on a never-ending path of diminishing
 returns.
