=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	-rm -f config.h qbe.1

override_dh_auto_build:
	dh_auto_build


backends = $(shell grep-dctrl -v -s Tests -n native debian/tests/control)

.PHONY: $(backends)

override_dh_auto_test: $(backends)

$(backends):
	debian/tests/$@; test $$? -eq 0 -o $$? -eq 77

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
