=== debian/tests/control ===
Tests: amd64
Depends: @, qemu-user [!amd64], gcc-x86-64-linux-gnu, libc6-dev-amd64-cross
Restrictions: skippable, skip-not-installable
Architecture: !ppc64el !s390x

Tests: arm64
Depends: @, qemu-user [!arm64], gcc-aarch64-linux-gnu, libc6-dev-arm64-cross
Restrictions: skippable, skip-not-installable
Architecture: !ppc64el !s390x

Tests: rv64
Depends: @, qemu-user [!riscv64], gcc-riscv64-linux-gnu, libc6-dev-riscv64-cross
Restrictions: skippable, skip-not-installable
Architecture: !ppc64el !s390x

Tests: native
Depends: @, gcc, libc6-dev
Architecture: amd64, arm64, riscv64
