=== debian/watch ===
version=4
https://c9x.me/compile/releases.html /.+@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
